View Issue Details

IDProjectCategoryView StatusLast Update
0000183Pgpool-IIBugpublic2016-06-21 11:40
ReporteralauddinAssigned Tot-ishii 
PriorityimmediateSeverityblockReproducibilityalways
Status closedResolutionreopened 
PlatformLinuxOSCentOSOS Version7
Product Version 
Target VersionFixed in Version 
Summary0000183: Pgppol not sending query error back to client
DescriptionI have been using Postgresql-9.3.11 in two server in master slave mode with streaming replication. I am using repmgr 3.1.1.
I am also using pgpool-II version 3.5.0 (ekieboshi) and my setup can handle fail over.

--I am using simple batch insert using JDBC. Here is my java code:

String insertTableSQL = "INSERT INTO tigeridmuser(first_name,middle_name,last_name,user_name,password) values(?,?,?,?,?)";
                    dbConnection = getDBConnection();
            preparedStatement = dbConnection.prepareStatement(insertTableSQL);

            dbConnection.setAutoCommit(false);

            for(int i=0;i<100;i++) {
                            preparedStatement.setString(1, "Md.");
                            preparedStatement.setString(2, "Hossain");
                            preparedStatement.setString(3, "Alauddin");
                            preparedStatement.setString(4, "alauddin");
                            preparedStatement.setString(5, "Alauddin");
                            preparedStatement.addBatch();
                        }

            preparedStatement.executeBatch();

            dbConnection.commit();

When load balancing is on and two servers are running with health 2 then if I make any mistake in my query then I can see error both in postgresql log and pgpool log but pgpool is not sending it back to java code.
Steps To ReproduceSetup master-slave streaming replication with two Postgresql-9.3.11. User repmgr 3.1.1 and pgpool-II version 3.5.0 (ekieboshi).

Now connect to pgpool using any java program and run any insert query in batch with auto commit false.

You will see error in pgpool and postgresql log but pgpool will not send it back to java.

If you turned off load balance or slave server goes down and you try again then you will get result as expected.
Additional InformationI have been sharing all of my configuration files and logs with this issue and I think this issue will resolve as soon as possible.
TagsNo tags attached.

Activities

alauddin

2016-03-25 01:20

reporter  

Files.zip (18,454 bytes)

t-ishii

2016-03-25 09:30

developer   ~0000720

It is possible that it has been already fixed. Can you try the pgpool-II 3.5 stable head?

http://git.postgresql.org/gitweb/?p=pgpool2.git;a=shortlog;h=refs/heads/V3_5_STABLE

alauddin

2016-03-25 12:34

reporter   ~0000721

Hello.. T-Isshi ! I know it is not a good question but How to get V3_5_STABLE version? Actually I am new on it. Would you please tell where I get get that version your recommended?

t-ishii

2016-03-25 13:13

developer   ~0000722

Sure. Visit the URL. The page shows each commit per line. The top most line is for the latest commit.
Click "snapshot" button on the line. This will let you download the latest 3.5 stable source tree.
Unpack it.
$ tar xfz pgpool2-c27ee57.tar.gz
$ cd pgpool2-c27ee57
$ ./configure
$ make dist

You will see pgpool-II 3.5.0.tar.gz. That's the tar ball you want.

alauddin

2016-03-28 19:30

reporter   ~0000733

Thanks T-Ishii.. I have tested and working as expected for me.

t-ishii

2016-03-28 20:19

developer   ~0000734

Great!

alauddin

2016-05-08 17:59

reporter   ~0000796

Dear t-ishii,

I can see that this issue is not resolved so far. When I am trying again and again with error query pgpool some time getting hang. For example.. First three try I am getting error but fourth time pgpool getting hang(I mean not sending error even not returning back to client). Would you please review this issue again?

Thanks

t-ishii

2016-05-16 13:51

developer   ~0000819

Can you please try the latest version (3.5.2)?

t-ishii

2016-06-21 11:39

developer   ~0000868

No feedback from the reporter over one month. Closing this item...

Issue History

Date Modified Username Field Change
2016-03-25 01:20 alauddin New Issue
2016-03-25 01:20 alauddin File Added: Files.zip
2016-03-25 09:30 t-ishii Note Added: 0000720
2016-03-25 09:30 t-ishii Assigned To => t-ishii
2016-03-25 09:30 t-ishii Status new => feedback
2016-03-25 12:34 alauddin Note Added: 0000721
2016-03-25 12:34 alauddin Status feedback => assigned
2016-03-25 13:13 t-ishii Note Added: 0000722
2016-03-25 13:14 t-ishii Status assigned => feedback
2016-03-28 19:30 alauddin Note Added: 0000733
2016-03-28 19:30 alauddin Status feedback => assigned
2016-03-28 20:19 t-ishii Note Added: 0000734
2016-03-28 20:19 t-ishii Status assigned => resolved
2016-05-08 17:59 alauddin Note Added: 0000796
2016-05-08 17:59 alauddin Status resolved => feedback
2016-05-08 17:59 alauddin Resolution open => reopened
2016-05-08 19:42 alauddin Note View State: 0000721: private
2016-05-08 19:42 alauddin Note View State: 0000721: public
2016-05-16 13:51 t-ishii Note Added: 0000819
2016-06-21 11:39 t-ishii Note Added: 0000868
2016-06-21 11:40 t-ishii Status feedback => closed